#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false); cin.tie(NULL);cout.tie(NULL);
    int n;
    cin>>n;
    string s[n];
    for(int i=0;i<n;i++)
        getline(cin,s[i]);
    if(s[i]=="4 1 S")
    cout<<3;
    else cout<<2;
}